package com.qmth.distributed.print.business.bean.excel;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 试卷结构dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/3/20
 */
public class PaperStructDto implements Serializable {

    @ApiModelProperty(value = "大题名称")
    @ExcelColumn(name = "*大题名称", index = 0, nullable = true)
    private String mainTitle;

    @ApiModelProperty(value = "大题号")
    @ExcelColumn(name = "*大题号(只能用小写数字)", index = 1, nullable = true)
    private Integer mainNumber;

    @ApiModelProperty(value = "小题号")
    @ExcelColumn(name = "*小题号(只能用小写数字)", index = 2, nullable = true)
    private Integer subNumber;

    @ApiModelProperty(value = "小题满分")
    @ExcelColumn(name = "*小题满分", index = 3, nullable = true)
    private Double score;

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
}
